# Uses of Class
org.bukkit.plugin.UnknownDependencyException

Packages that use UnknownDependencyException
Package
Description
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.

## Uses of UnknownDependencyException in org.bukkit.plugin

Methods in org.bukkit.plugin that throw UnknownDependencyException
Modifier and Type
Method
Description
`@NotNull Plugin`
PluginLoader.`loadPlugin(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Loads the plugin contained in the specified file
`@Nullable Plugin`
PluginManager.`loadPlugin(@NotNull File file)`
Loads the plugin in the specified file
`@Nullable Plugin`
SimplePluginManager.`loadPlugin(@NotNull File file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Loads the plugin in the specified file